Subject: Re: sctp_peeloff()

From: Michael Tuexen <[email-masked]>
Date: Mon, 22 Dec 2003 16:53:43 +0100

So you are suggesting 2 buffers per stream?

Best regards
Michael

On Dec 19, 2003, at 6:36 PM, Caitlin Bestler wrote:

> A general comment about possible stream-specific de-multiplexing local 
> interfaces:
> any such interface should probably allow ordered and unordered 
> messages to be handled
> differently. Anticipating that a sequence of ordered messages on one 
> stream should
> be received into a single buffer, or matching sequence of buffers is a 
> natural fit
> for many applications -- especially large file transfers where use of 
> a single very
> large message is inappropriate for buffering and/or flow control 
> reasons.
>
> But you wouldn't want an unordered message to be plopped down into 
> that buffer
> sequence arbitrarily. An application that mixes ordered and unordered 
> messages
> on the same stream is probably using the unordered messages for alerts 
> or exceptions.
>